Vulnerability & Exploit Database

Back to search

FreeBSD: VID-A66F9BE2-D519-11E7-9866-C85B763A2F96 (CVE-2017-16927): xrdp -- local user can cause a denial of service

Severity CVSS Published Added Modified
7 (AV:L/AC:L/Au:N/C:C/I:C/A:C) November 23, 2017 December 01, 2017 December 13, 2017

Description

The scp_v0s_accept function in sesman/libscp/libscp_v0.c in the session manager in xrdp through 0.9.4 uses an untrusted integer as a write length, which allows local users to cause a denial of service (buffer overflow and application crash) or possibly have unspecified other impact via a crafted input stream.

Scan For This Vulnerability

Use our top-rated tool to discover, prioritize, and remediate your vulnerabilities

 Free InsightVM Trial

References

Solution

freebsd-upgrade-package-xrdp-devel